<?php

if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! defined( 'CHERRYCHECKOUT_PLUGIN_ID' ) ) exit;

try {
	$me = _getMe();

	// We have no me, do not display anything
	if ( ! $me ) {
		return;
	}

	$priceScale = $me->contract->priceScale;
	$minimalCherries = _getMinimalCherriesRequiredAccordingToCart($priceScale);

	// Echo only <script> part
	$pluginContent = _getPluginContent($me->plugin, $minimalCherries);
	preg_match('/<script(.*)<\/script>/ims', $pluginContent, $scriptTag);
	echo $scriptTag[0];
}
catch ( \Exception $ex ) {
	CherryCheckoutLogger::add('[plugin-scripts.php] ERROR : ' . $ex->getMessage(), 310200);
}
