<?php

if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! defined( 'CHERRYCHECKOUT_PLUGIN_ID' ) ) exit;

class CherryCheckoutWordpressConfig {

	public static function get() {

		global $wp_version;
		global $woocommerce;

		$moduleData = get_plugin_data( CHERRYCHECKOUT_DIR . CHERRYCHECKOUT_PLUGIN_ID . '.php', false );

		return array(
			'cms'						=> 'woocommerce',
			'cmsVersion'				=> 'WP: '.$wp_version.' / Woo: '.$woocommerce->version,
			'pluginInstalledVersion'	=> $moduleData['Version'],
			'moduleApiEndpoint' 		=> CHERRYCHECKOUT_URL.'webservice.php'
		);
	}

}