<?php
if ( ! defined( 'ABSPATH' ) ) exit;
if ( ! defined( 'CHERRYCHECKOUT_PLUGIN_ID' ) ) exit;

// Get settings
$api = trim( $_POST['cherrycheckout_api'] );
$publicKey = trim( $_POST['cherrycheckout_publicKey'] );
$privateKey = trim( $_POST['cherrycheckout_privateKey'] );

$cancelStatus = array();
$orderStatus = wc_get_order_statuses();
foreach ( $orderStatus as $key => $value ) {
	if ( isset( $_POST['cherrycheckout_cancelStatus_' . $key] ) && $_POST['cherrycheckout_cancelStatus_' . $key] ) {
		$cancelStatus[] = $key;
	}
}

// Save settings
$settings = array(
	'api'				=> $api,
	'publicKey'			=> $publicKey,
	'privateKey'		=> $privateKey,
	'cancelStatus'		=> $cancelStatus,
);

update_option( CHERRYCHECKOUT_PLUGIN_ID . '_api_settings', serialize($settings) );